Bug 6466 - hung socket read causes SIP tests to fail
Summary: hung socket read causes SIP tests to fail
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: SIP2 (show other bugs)
Version: 3.6
Hardware: All All
: P3 normal (vote)
Assignee: Mason James
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-06-06 04:08 UTC by Mason James
Modified: 2013-12-05 19:57 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
patch (1.14 KB, patch)
2011-06-06 04:22 UTC, Mason James
Details | Diff | Splinter Review
Bug 6466 - hung socket read causes SIP tests to fail (1.12 KB, patch)
2011-12-31 07:07 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Mason James 2011-06-06 04:08:57 UTC

    
Comment 1 Mason James 2011-06-06 04:22:17 UTC Comment hidden (obsolete)
Comment 2 Mason James 2011-06-06 04:25:03 UTC
before applied patch... FAIL
mason@xen1:~/g/head/C4/SIP/t$ perl -I .. ./00sc_status.t 
1..4
^C


after applied patch... SUCCESS
mason@xen1:~/g/head/C4/SIP/t$ perl -I .. ./00sc_status.t 
1..4
ok 1 - Invalid username
ok 2 - Invalid password
ok 3 - login
ok 4 - SC status
Comment 3 Chris Cormack 2011-12-31 07:07:10 UTC
Created attachment 6988 [details] [review]
Bug 6466 - hung socket read causes SIP tests to fail

Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>
Comment 4 Paul Poulain 2012-01-17 15:18:45 UTC
QA comment: easy to read code, no specific comment to do.

(note: I haven't tested this patch, as I haven't a SIP available)